> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coin Data by ID

> To query all the metadata (image, websites, socials, description, contract address, etc.) and market data (price, ATH, exchange tickers, etc.) of a coin based on a particular coin ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Find a coin's API ID on its [CoinGecko](https://www.coingecko.com) page, via [Coins List](/demo/reference/coins-list), or this [Google Sheet](https://docs.google.com/spreadsheets/d/1wTTuxXt8n9q7C4NDXqQpI3wpKu1_5bGVmP9Xz0XGSyU/edit?usp=sharing).
* Tickers are limited to 100 items. Use [Coin Tickers](/demo/reference/coins-id-tickers) for more.
* Coin descriptions may contain `\r\n` escape sequences that require processing for proper formatting.
* When `dex_pair_format=symbol`, DEX pair `base` and `target` display as symbols (e.g. `WETH`, `USDC`) instead of contract addresses.
* Use `last_updated` in the response to check whether the price is stale.

<Note>
  Community data for Telegram is updated weekly. Reddit and Twitter community data are no longer supported.
</Note>

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.coins.getID('bitcoin');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.coins.get_id("bitcoin")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /coins/{id}
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /coins/{id}:
    get:
      summary: Coin Data by ID
      description: >-
        To query all the metadata (image, websites, socials, description,
        contract address, etc.) and market data (price, ATH, exchange tickers,
        etc.) of a coin based on a particular coin ID
      operationId: coins-id
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Coin ID. 
            *refers to [`/coins/list`](/reference/coins-list)
          schema:
            type: string
            example: bitcoin
            default: bitcoin
        - name: localization
          in: query
          required: false
          description: |-
            Include all localized languages in the response. 
            Default: true
          schema:
            type: boolean
        - name: tickers
          in: query
          required: false
          description: |-
            Include tickers data. 
            Default: true
          schema:
            type: boolean
        - name: market_data
          in: query
          required: false
          description: |-
            Include market data. 
            Default: true
          schema:
            type: boolean
        - name: community_data
          in: query
          required: false
          description: |-
            Include community data. 
            Default: true
          schema:
            type: boolean
        - name: developer_data
          in: query
          required: false
          description: |-
            Include developer data. 
            Default: true
          schema:
            type: boolean
        - name: sparkline
          in: query
          required: false
          description: |-
            Include sparkline 7-day data. 
            Default: false
          schema:
            type: boolean
        - name: include_categories_details
          in: query
          required: false
          description: |-
            Include categories details. 
            Default: false
          schema:
            type: boolean
        - name: dex_pair_format
          in: query
          required: false
          description: |-
            Set to `symbol` to display DEX pair base and target as symbols. 
            Default: `contract_address`
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: Coin data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsID'
              example:
                id: bitcoin
                symbol: btc
                name: Bitcoin
                web_slug: bitcoin
                asset_platform_id: null
                platforms:
                  '': ''
                detail_platforms:
                  '':
                    decimal_place: null
                    contract_address: ''
                block_time_in_minutes: 10
                hashing_algorithm: SHA-256
                categories:
                  - Cryptocurrency
                  - Layer 1 (L1)
                preview_listing: false
                public_notice: null
                additional_notices: []
                has_supply_breakdown: false
                description:
                  en: >-
                    Bitcoin is the first successful internet money based on
                    peer-to-peer technology...
                links:
                  homepage:
                    - http://www.bitcoin.org
                    - ''
                    - ''
                  whitepaper: https://bitcoin.org/bitcoin.pdf
                  blockchain_site:
                    - https://mempool.space/
                    - https://blockchair.com/bitcoin/
                  official_forum_url:
                    - https://bitcointalk.org/
                  chat_url:
                    - ''
                  announcement_url:
                    - ''
                    - ''
                  snapshot_url: null
                  twitter_screen_name: bitcoin
                  facebook_username: bitcoins
                  bitcointalk_thread_identifier: null
                  telegram_channel_identifier: ''
                  subreddit_url: https://www.reddit.com/r/Bitcoin/
                  repos_url:
                    github:
                      - https://github.com/bitcoin/bitcoin
                      - https://github.com/bitcoin/bips
                    bitbucket: []
                image:
                  thumb: >-
                    https://assets.coingecko.com/coins/images/1/thumb/bitcoin.png?1696501400
                  small: >-
                    https://assets.coingecko.com/coins/images/1/small/bitcoin.png?1696501400
                  large: >-
                    https://assets.coingecko.com/coins/images/1/large/bitcoin.png?1696501400
                country_origin: ''
                genesis_date: '2009-01-03'
                sentiment_votes_up_percentage: 84.07
                sentiment_votes_down_percentage: 15.93
                watchlist_portfolio_users: 1541900
                market_cap_rank: 1
                market_cap_rank_with_rehypothecated: 1
                status_updates: []
                last_updated: '2024-04-07T15:24:51.021Z'
                market_data:
                  current_price:
                    btc: 1
                    eur: 64375
                    usd: 69840
                  total_value_locked: null
                  mcap_to_tvl_ratio: null
                  fdv_to_tvl_ratio: null
                  roi: null
                  ath:
                    btc: 1.003301
                    eur: 67405
                    usd: 73738
                  ath_change_percentage:
                    btc: -0.32896
                    eur: -4.54383
                    usd: -5.33399
                  ath_date:
                    btc: '2024-03-02T16:05:19.446Z'
                    eur: '2024-03-14T07:10:36.635Z'
                    usd: '2024-03-14T07:10:36.635Z'
                  atl:
                    btc: 0.99895134
                    eur: 51.3
                    usd: 67.81
                  atl_change_percentage:
                    btc: 0.10408
                    eur: 125385.41242
                    usd: 102882.36498
                  atl_date:
                    btc: '2019-10-21T00:00:00.000Z'
                    eur: '2013-07-05T00:00:00.000Z'
                    usd: '2013-07-06T00:00:00.000Z'
                  market_cap:
                    btc: 19675377
                    eur: 1265825267281
                    usd: 1373296629498
                  fully_diluted_valuation:
                    btc: 21000000
                    eur: 1351831155
                    usd: 1466577759
                  market_cap_fdv_ratio: 1
                  market_cap_rank: 1
                  outstanding_token_value_usd: null
                  market_cap_rank_with_rehypothecated: 1
                  total_volume:
                    btc: 270165
                    eur: 17368113665
                    usd: 18867210007
                  high_24h:
                    btc: 1
                    eur: 64343
                    usd: 69805
                  low_24h:
                    btc: 1
                    eur: 62695
                    usd: 67985
                  price_change_24h: 1619
                  price_change_percentage_24h: 2.37311
                  price_change_percentage_7d: -0.89706
                  price_change_percentage_14d: 6.36178
                  price_change_percentage_30d: 1.81171
                  price_change_percentage_60d: 62.54292
                  price_change_percentage_200d: 157.51875
                  price_change_percentage_1y: 149.76989
                  market_cap_change_24h: 31172487848
                  market_cap_change_percentage_24h: 2.32219
                  price_change_24h_in_currency:
                    btc: 0
                    eur: 1461.64
                    usd: 1618.95
                  price_change_percentage_1h_in_currency:
                    btc: 0
                    eur: 0.79523
                    usd: 0.79523
                  price_change_percentage_24h_in_currency:
                    btc: 0
                    eur: 2.32219
                    usd: 2.37311
                  price_change_percentage_7d_in_currency:
                    btc: 0
                    eur: -1.01955
                    usd: -0.89706
                  price_change_percentage_14d_in_currency:
                    btc: 0
                    eur: 5.84662
                    usd: 6.36178
                  price_change_percentage_30d_in_currency:
                    btc: 0
                    eur: 2.28048
                    usd: 1.81171
                  price_change_percentage_60d_in_currency:
                    btc: 0
                    eur: 60.98834
                    usd: 62.54292
                  price_change_percentage_200d_in_currency:
                    btc: 0
                    eur: 148.68948
                    usd: 157.51875
                  price_change_percentage_1y_in_currency:
                    btc: 0
                    eur: 138.20277
                    usd: 149.76989
                  market_cap_change_24h_in_currency:
                    btc: -49432
                    eur: 28668703539
                    usd: 31172487848
                  market_cap_change_percentage_24h_in_currency:
                    btc: -0.25084
                    eur: 2.31801
                    usd: 2.32219
                  total_supply: 21000000
                  max_supply: 21000000
                  max_supply_infinite: false
                  circulating_supply: 19675377
                  outstanding_supply: null
                  last_updated: '2024-04-07T15:24:51.021Z'
                community_data:
                  facebook_likes: null
                  reddit_average_posts_48h: 7.333
                  reddit_average_comments_48h: 384.667
                  reddit_subscribers: 6127543
                  reddit_accounts_active_48h: 3498
                  telegram_channel_user_count: null
                developer_data:
                  forks: 36433
                  stars: 76697
                  subscribers: 3967
                  total_issues: 7743
                  closed_issues: 7379
                  pull_requests_merged: 11204
                  pull_request_contributors: 829
                  code_additions_deletions_4_weeks:
                    additions: 1264
                    deletions: -1314
                  commit_count_4_weeks: 108
                  last_4_weeks_commit_activity_series:
                    - 0
                    - 3
                    - 2
                    - 0
                    - 1
                    - 0
                    - 0
                tickers:
                  - base: BTC
                    target: USDT
                    market:
                      name: Binance
                      identifier: binance
                      has_trading_incentive: false
                    last: 69816
                    volume: 19988.82111
                    converted_last:
                      btc: 0.99999255
                      eth: 20.441016
                      usd: 69835
                    converted_volume:
                      btc: 19783
                      eth: 404380
                      usd: 1381537193
                    trust_score: null
                    bid_ask_spread_percentage: 0.010014
                    timestamp: '2024-04-07T15:23:02+00:00'
                    last_traded_at: '2024-04-07T15:23:02+00:00'
                    last_fetch_at: '2024-04-07T15:24:00+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
                    token_info_url: null
                    coin_id: bitcoin
                    target_coin_id: tether
                    coin_mcap_usd: 230926944910.5146
components:
  schemas:
    CoinsID:
      type: object
      required:
        - id
        - symbol
        - name
        - web_slug
        - asset_platform_id
        - platforms
        - detail_platforms
        - block_time_in_minutes
        - hashing_algorithm
        - categories
        - preview_listing
        - public_notice
        - additional_notices
        - has_supply_breakdown
        - description
        - links
        - image
        - country_origin
        - genesis_date
        - sentiment_votes_up_percentage
        - sentiment_votes_down_percentage
        - watchlist_portfolio_users
        - market_cap_rank
        - market_cap_rank_with_rehypothecated
        - status_updates
        - last_updated
      properties:
        id:
          type: string
          description: Coin ID
        symbol:
          type: string
          description: Coin symbol
        name:
          type: string
          description: Coin name
        web_slug:
          type: string
          description: Coin web slug
        asset_platform_id:
          type: string
          nullable: true
          description: Coin asset platform ID
        platforms:
          type: object
          description: Coin asset platform and contract address
          additionalProperties:
            type: string
        detail_platforms:
          type: object
          description: Detailed coin asset platform and contract address
          additionalProperties:
            type: object
            properties:
              decimal_place:
                type: integer
                nullable: true
                description: Token decimal place
              contract_address:
                type: string
                description: Token contract address
        block_time_in_minutes:
          type: number
          description: Blockchain block time in minutes
        hashing_algorithm:
          type: string
          nullable: true
          description: Blockchain hashing algorithm
        categories:
          type: array
          description: Coin categories
          items:
            type: string
        categories_details:
          type: array
          description: Detailed coin categories
          items:
            type: object
            properties:
              id:
                type: string
                description: Category ID
              name:
                type: string
                description: Category name
        preview_listing:
          type: boolean
          description: Preview listing coin
        public_notice:
          type: string
          nullable: true
          description: Public notice
        additional_notices:
          type: array
          description: Additional notices
          items:
            type: string
        has_supply_breakdown:
          type: boolean
          description: >-
            Whether detailed supply breakdown data is available via
            /coins/supply_breakdown
        localization:
          type: object
          description: Coin name localization
          additionalProperties:
            type: string
        description:
          type: object
          description: Coin description
          additionalProperties:
            type: string
        links:
          type: object
          description: Links
          properties:
            homepage:
              type: array
              description: Website URL
              items:
                type: string
            whitepaper:
              type: string
              description: Whitepaper URL
            blockchain_site:
              type: array
              description: Block explorer URL
              items:
                type: string
            official_forum_url:
              type: array
              description: Official forum URL
              items:
                type: string
            chat_url:
              type: array
              description: Chat URL
              items:
                type: string
            announcement_url:
              type: array
              description: Announcement URL
              items:
                type: string
            snapshot_url:
              type: string
              nullable: true
              description: Snapshot URL
            twitter_screen_name:
              type: string
              description: Twitter handle
            facebook_username:
              type: string
              description: Facebook username
            bitcointalk_thread_identifier:
              type: integer
              nullable: true
              description: Bitcointalk thread identifier
            telegram_channel_identifier:
              type: string
              description: Telegram channel identifier
            subreddit_url:
              type: string
              description: Subreddit URL
            repos_url:
              type: object
              description: Repository URL
              properties:
                github:
                  type: array
                  description: GitHub repository URL
                  items:
                    type: string
                bitbucket:
                  type: array
                  description: Bitbucket repository URL
                  items:
                    type: string
        image:
          type: object
          description: Coin image URL
          properties:
            thumb:
              type: string
            small:
              type: string
            large:
              type: string
        country_origin:
          type: string
          description: Country of origin
        genesis_date:
          type: string
          nullable: true
          description: Genesis date
        sentiment_votes_up_percentage:
          type: number
          nullable: true
          description: Sentiment votes up percentage
        sentiment_votes_down_percentage:
          type: number
          nullable: true
          description: Sentiment votes down percentage
        ico_data:
          type: object
          nullable: true
          description: ICO data
          properties:
            ico_start_date:
              type: string
              description: ICO start date
            ico_end_date:
              type: string
              description: ICO end date
            short_desc:
              type: string
              description: Short description
            description:
              type: string
              description: Detailed description
            links:
              type: object
              description: ICO related links
              additionalProperties:
                type: string
            softcap_currency:
              type: string
              description: Softcap currency
            hardcap_currency:
              type: string
              description: Hardcap currency
            total_raised_currency:
              type: string
              description: Total raised currency
            softcap_amount:
              type: number
              description: Softcap amount
            hardcap_amount:
              type: number
              description: Hardcap amount
            total_raised:
              type: number
              description: Total raised amount
            quote_pre_sale_currency:
              type: string
              description: Quote pre-sale currency
            base_pre_sale_amount:
              type: number
              description: Base pre-sale amount
            quote_pre_sale_amount:
              type: number
              description: Quote pre-sale amount
            quote_public_sale_currency:
              type: string
              description: Quote public sale currency
            base_public_sale_amount:
              type: number
              description: Base public sale amount
            quote_public_sale_amount:
              type: number
              description: Quote public sale amount
            accepting_currencies:
              type: string
              description: Accepting currencies
            country_origin:
              type: string
              description: Country of origin
            pre_sale_start_date:
              type: string
              description: Pre-sale start date
            pre_sale_end_date:
              type: string
              description: Pre-sale end date
            whitelist_url:
              type: string
              description: Whitelist URL
            whitelist_start_date:
              type: string
              description: Whitelist start date
            whitelist_end_date:
              type: string
              description: Whitelist end date
            bounty_detail_url:
              type: string
              description: Bounty detail URL
            amount_for_sale:
              type: number
              description: Amount for sale
            kyc_required:
              type: boolean
              description: KYC required
            whitelist_available:
              type: boolean
              description: Whitelist available
            pre_sale_available:
              type: boolean
              description: Pre-sale available
            pre_sale_ended:
              type: boolean
              description: Pre-sale ended
        watchlist_portfolio_users:
          type: number
          description: Number of users watching this coin in portfolio
        market_cap_rank:
          type: integer
          nullable: true
          description: Market cap rank
        market_cap_rank_with_rehypothecated:
          type: integer
          nullable: true
          description: Market cap rank including rehypothecated tokens
        market_data:
          type: object
          description: Market data
          properties:
            current_price:
              type: object
              description: Current price in target currency
              additionalProperties:
                type: number
            total_value_locked:
              type: number
              nullable: true
              description: Total value locked
            mcap_to_tvl_ratio:
              type: number
              nullable: true
              description: Market cap to TVL ratio
            fdv_to_tvl_ratio:
              type: number
              nullable: true
              description: FDV to TVL ratio
            roi:
              type: object
              nullable: true
              description: Return on investment
              properties:
                times:
                  type: number
                  description: ROI multiplier
                currency:
                  type: string
                  description: ROI currency
                percentage:
                  type: number
                  description: ROI percentage
            ath:
              type: object
              description: All-time high in target currency
              additionalProperties:
                type: number
            ath_change_percentage:
              type: object
              description: All-time high change percentage
              additionalProperties:
                type: number
            ath_date:
              type: object
              description: All-time high date
              additionalProperties:
                type: string
            atl:
              type: object
              description: All-time low in target currency
              additionalProperties:
                type: number
            atl_change_percentage:
              type: object
              description: All-time low change percentage
              additionalProperties:
                type: number
            atl_date:
              type: object
              description: All-time low date
              additionalProperties:
                type: string
            market_cap:
              type: object
              description: Market cap in target currency
              additionalProperties:
                type: number
            fully_diluted_valuation:
              type: object
              description: Fully diluted valuation in target currency
              additionalProperties:
                type: number
            market_cap_fdv_ratio:
              type: number
              description: Market cap to FDV ratio
            market_cap_rank:
              type: integer
              nullable: true
              description: Market cap rank
            outstanding_token_value_usd:
              type: number
              nullable: true
              description: Outstanding token value in USD
            market_cap_rank_with_rehypothecated:
              type: integer
              nullable: true
              description: Market cap rank including rehypothecated tokens
            total_volume:
              type: object
              description: Total trading volume in target currency
              additionalProperties:
                type: number
            high_24h:
              type: object
              description: 24h price high in target currency
              additionalProperties:
                type: number
            low_24h:
              type: object
              description: 24h price low in target currency
              additionalProperties:
                type: number
            price_change_24h:
              type: number
              description: 24h price change in target currency
            price_change_percentage_24h:
              type: number
              description: 24h price change percentage
            price_change_percentage_7d:
              type: number
              description: 7d price change percentage
            price_change_percentage_14d:
              type: number
              description: 14d price change percentage
            price_change_percentage_30d:
              type: number
              description: 30d price change percentage
            price_change_percentage_60d:
              type: number
              description: 60d price change percentage
            price_change_percentage_200d:
              type: number
              description: 200d price change percentage
            price_change_percentage_1y:
              type: number
              description: 1y price change percentage
            market_cap_change_24h:
              type: number
              description: 24h market cap change in target currency
            market_cap_change_percentage_24h:
              type: number
              description: 24h market cap change percentage
            price_change_24h_in_currency:
              type: object
              description: 24h price change in target currency
              additionalProperties:
                type: number
            price_change_percentage_1h_in_currency:
              type: object
              description: 1h price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_24h_in_currency:
              type: object
              description: 24h price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_7d_in_currency:
              type: object
              description: 7d price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_14d_in_currency:
              type: object
              description: 14d price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_30d_in_currency:
              type: object
              description: 30d price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_60d_in_currency:
              type: object
              description: 60d price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_200d_in_currency:
              type: object
              description: 200d price change percentage per currency
              additionalProperties:
                type: number
            price_change_percentage_1y_in_currency:
              type: object
              description: 1y price change percentage per currency
              additionalProperties:
                type: number
            market_cap_change_24h_in_currency:
              type: object
              description: 24h market cap change in target currency
              additionalProperties:
                type: number
            market_cap_change_percentage_24h_in_currency:
              type: object
              description: 24h market cap change percentage per currency
              additionalProperties:
                type: number
            total_supply:
              type: number
              description: Total supply
            max_supply:
              type: number
              nullable: true
              description: Max supply
            max_supply_infinite:
              type: boolean
              description: Max supply infinite
            circulating_supply:
              type: number
              description: Circulating supply
            outstanding_supply:
              type: number
              nullable: true
              description: Tokens outstanding in the market
            last_updated:
              type: string
              description: Market data last updated timestamp
            sparkline_7d:
              type: array
              description: Sparkline 7-day price data
              items:
                type: number
        community_data:
          type: object
          description: Community data
          properties:
            facebook_likes:
              type: number
              nullable: true
              description: Facebook likes
            reddit_average_posts_48h:
              type: number
              description: Reddit average posts in 48 hours
            reddit_average_comments_48h:
              type: number
              description: Reddit average comments in 48 hours
            reddit_subscribers:
              type: number
              description: Reddit subscribers
            reddit_accounts_active_48h:
              type: number
              description: Reddit active accounts in 48 hours
            telegram_channel_user_count:
              type: number
              nullable: true
              description: Telegram channel user count
        developer_data:
          type: object
          description: Developer data
          properties:
            forks:
              type: number
              description: Repository forks
            stars:
              type: number
              description: Repository stars
            subscribers:
              type: number
              description: Repository subscribers
            total_issues:
              type: number
              description: Repository total issues
            closed_issues:
              type: number
              description: Repository closed issues
            pull_requests_merged:
              type: number
              description: Repository pull requests merged
            pull_request_contributors:
              type: number
              description: Repository pull request contributors
            code_additions_deletions_4_weeks:
              type: object
              description: Code additions and deletions in 4 weeks
              properties:
                additions:
                  type: number
                deletions:
                  type: number
            commit_count_4_weeks:
              type: number
              description: Repository commit count in 4 weeks
            last_4_weeks_commit_activity_series:
              type: array
              description: Repository last 4 weeks commit activity series
              items:
                type: number
        status_updates:
          type: array
          description: Status updates
          items:
            type: object
            properties:
              description:
                type: string
                description: Status update description
              category:
                type: string
                description: Status update category
              created_at:
                type: string
                description: Status update creation time
              user:
                type: string
                description: Status update user
              user_title:
                type: string
                description: Status update user title
        last_updated:
          type: string
          description: Last updated timestamp
        tickers:
          type: array
          description: Tickers
          items:
            type: object
            properties:
              base:
                type: string
                description: Ticker base currency
              target:
                type: string
                description: Ticker target currency
              market:
                type: object
                description: Ticker exchange
                properties:
                  name:
                    type: string
                    description: Exchange name
                  identifier:
                    type: string
                    description: Exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: Exchange trading incentive
              last:
                type: number
                description: Ticker last price
              volume:
                type: number
                description: Ticker volume
              converted_last:
                type: object
                description: Ticker converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: Ticker converted volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: Ticker trust score
              bid_ask_spread_percentage:
                type: number
                description: Ticker bid-ask spread percentage
              timestamp:
                type: string
                description: Ticker timestamp
              last_traded_at:
                type: string
                description: Ticker last traded timestamp
              last_fetch_at:
                type: string
                description: Ticker last fetch timestamp
              is_anomaly:
                type: boolean
                description: Ticker anomaly
              is_stale:
                type: boolean
                description: Ticker stale
              trade_url:
                type: string
                description: Ticker trade URL
              token_info_url:
                type: string
                nullable: true
                description: Ticker token info URL
              coin_id:
                type: string
                description: Ticker base currency coin ID
              target_coin_id:
                type: string
                description: Ticker target currency coin ID
              coin_mcap_usd:
                type: number
                description: Market cap in USD
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````